<?xml version="1.0" encoding="iso-8859-1"?>

<!-- 
  Please see the license.html file included with this distribution for 
  attribution and copyright information.
-->

<root>
	<template name="story_page_top">
		<button_page_top>
			<anchored to="contentframe">
				<top anchor="bottom" offset="8" />
				<left anchor="center" offset="-12" />
			</anchored>
		</button_page_top>
	</template>
	<template name="story_page_prev">
		<button_page_prev>
			<anchored to="contentframe">
				<top anchor="bottom" offset="8" />
				<right anchor="center" offset="-36" />
			</anchored>
		</button_page_prev>
	</template>
	<template name="story_page_next">
		<button_page_next>
			<anchored to="contentframe">
				<top anchor="bottom" offset="8" />
				<left anchor="center" offset="36" />
			</anchored>
		</button_page_next>
	</template>
	
	<windowclass name="encounter">
		<frame>storybox</frame>
		<placement>
			<size width="400" height="650" />
		</placement>
		<sizelimits>
			<dynamic />
		</sizelimits>
		<minimize>minimized_encounter</minimize>
		<playercontrol />
		<sharable />
		<nodelete />
		<tooltip field="name" />
		<script file="campaign/scripts/story.lua" />
		<sheetdata>
			<sub_note_header name="header">
				<class>encounter_header</class>
			</sub_note_header>

			<frame_story_content name="contentframe" />

			<ft_record name="text">
				<anchored to="contentframe" position="over" />
				<footer>footer_wide</footer>
				<empty textres="ft_empty" hidereadonly="true" />
			</ft_record>
			<scrollbar>
				<anchored to="text" />
				<target>text</target>
			</scrollbar>

			<list_viewers />
			
			<story_page_top />
			<story_page_prev />
			<story_page_next />
			
			<resize_storybox />
			<close_storybox />
		</sheetdata>
	</windowclass>

	<windowclass name="encounter_header">
		<margins control="0,0,0,7" />
		<script>
			function onInit()
				update();
			end
			function update()
				local bReadOnly = WindowManager.getReadOnlyState(getDatabaseNode());
				name.setReadOnly(bReadOnly);
			end
		</script>
		<sheetdata>
			<link_record_header>
				<class>encounter</class>
			</link_record_header>

			<anchor_record_header_right name="rightanchor" />
			<icon_record_locked />
			<button_record_locked />

			<stringfield name="name">
				<anchored to="rightanchor" height="24">
					<top offset="-4" />
					<left parent="" offset="45" />
					<right anchor="left" relation="relative" offset="-5" />
				</anchored>
				<font>reference-h</font>
				<empty textres="library_recordtype_empty_story" />
				<nodrag />
				<delaykeyupdate />
			</stringfield>
		</sheetdata>
	</windowclass>
</root>
